# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

%if !%buildfor7_2
Name:		kde-i18n-ja
%else
Name:		kde-i18n-Japanese
%endif
Summary:	Japanese language support for KDE
Version:	2.2.2
Release:	1mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Japanese
%endif
Requires:	locales-ja
BuildArch:	noarch

%description
Japanese language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/ja/
#
#
%dir %_docdir/HTML/ja/common/
%doc %_docdir/HTML/ja/common/fdl-license
%doc %_docdir/HTML/ja/common/gpl-license
%doc %_docdir/HTML/ja/common/*.css
%doc %_docdir/HTML/ja/common/*.dcl
%doc %_docdir/HTML/ja/common/*.html
%doc %_docdir/HTML/ja/common/*.png
#
#
%dir %_docdir/HTML/ja/kcontrol/
%doc %_docdir/HTML/ja/kcontrol/*.docbook
#
%dir %_docdir/HTML/ja/kdesu/
%doc %_docdir/HTML/ja/kdesu/common
%doc %_docdir/HTML/ja/kdesu/*.docbook
%doc %_docdir/HTML/ja/kdesu/*.bz2
#
#
#
%dir %_docdir/HTML/ja/khelpcenter/
%doc %_docdir/HTML/ja/khelpcenter/*.docbook
%doc %_docdir/HTML/ja/khelpcenter/*.bz2
%doc %_docdir/HTML/ja/khelpcenter/common
%dir %_docdir/HTML/ja/khelpcenter/visualdict
%doc %_docdir/HTML/ja/khelpcenter/visualdict/*.docbook
%doc %_docdir/HTML/ja/khelpcenter/visualdict/*.bz2
%doc %_docdir/HTML/ja/khelpcenter/visualdict/common
#
#
%dir %_docdir/HTML/ja/kmahjongg/
%doc %_docdir/HTML/ja/kmahjongg/common
%doc %_docdir/HTML/ja/kmahjongg/*.docbook
%doc %_docdir/HTML/ja/kmahjongg/*.bz2
#
#
%dir %_docdir/HTML/ja/pws/
%doc %_docdir/HTML/ja/pws/common
%doc %_docdir/HTML/ja/pws/*.docbook
%doc %_docdir/HTML/ja/pws/*.bz2
#
%dir %_docdir/HTML/ja/kspell/
%doc %_docdir/HTML/ja/kspell/common
%doc %_docdir/HTML/ja/kspell/*.docbook
%doc %_docdir/HTML/ja/kspell/*.bz2
#
%dir %_datadir/locale/
%dir %_datadir/locale/ja/
%_datadir/locale/ja/charset
%_datadir/locale/ja/*.desktop
%_datadir/locale/ja/*.png
#
#
%dir %_datadir/locale/ja/LC_MESSAGES/
%_datadir/locale/ja/LC_MESSAGES/*.mo


%changelog
* Wed Nov 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- update code 

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Thu Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice message

* Thu Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Fri Aug 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
